Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 36058 - NAMELEN too short
Summary: NAMELEN too short
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: docbook
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-16 15:42 UTC by Havoc Pennington
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version: 1.0-27
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-02 13:05:52 UTC


Attachments (Terms of Use)

Description Havoc Pennington 2001-04-16 15:42:10 UTC
The various DocBook DTDs set a NAMELEN constant that is too short for many
purposes, e.g. the GTK+ documentation. Is "44" now, should be more like 128
or 256 I think.

If you grep NAMELEN `find /usr/share/sgml -name "*"` and change all "44" to
something larger it will fix the problem. I haven't noticed any negative
side effects from doing this on my system.

Comment 1 Tim Waugh 2005-06-02 13:05:52 UTC
Fixed in docbook-dtds-1.0-27.


Note You need to log in before you can comment on or make changes to this bug.